
.form-card{
  
    height: 150px;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    border-radius: 8px;
    border: 1px solid rgb(211,211,211);
    width: 200px;
    /* box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.1), 0 6px 10px 0 rgba(0, 0, 0, 0.15); */
}

.template-holder{
  height: fit-content;
  position: relative;
}
.form-template{
    position: relative;
    flex: 0 0 200px;
}

.form-template[data-locked=true]{
  filter: blur(1.5px);
}


.form-template__locked-overlay{
  position: absolute;
  top: 0;
  height: 100%;
  width:100%;
}

.form-template_locked-icon{
  position: absolute;
  inset: 0;
  margin: auto;
  width: 20%;
}

.form-posted{
    height: 200px
}

@media (max-width: 576px) {
    .form-posted {
      width: 100%;
    }
  }
  @media (max-width: 768px) and (min-width: 576px) {
    .form-posted {
      width: calc((100% - var(--exisiting-form-gap)) / 2);
    }
  }
  
  @media (max-width: 1200px) and (min-width: 764px) {
    .form-posted {
      width: calc((100% - var(--exisiting-form-gap) * 2) / 3);
    }
  }
  
  @media (min-width: 1200px) {
    .form-posted {
      width: calc((100% - var(--exisiting-form-gap) * 3) / 4);
    }
  }
  

  .form-card .details{
    flex: 1;
    background-color: white;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    display: flex;
    flex-direction: column;
    justify-content: stretch;
    padding: 0px 8px;
  }

  .form-card .actions{
    flex: 0 0 40px;
    background-color: hsl(0, 0%, 94%);
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
    display: flex;
    justify-content: flex-start;
    padding: 8px 0px;
    gap: 4px;

  }

  .actions .actions-btn:first-of-type{
    margin-left: 16px;
  }

  .actions-btn{
    padding: 2px 4px;
    border-radius: 4px;
  }
  .actions-btn:hover{
    background-color: #cdcbcb;
  }

  .form-template-title{
    height: fit-content;
    white-space: nowrap;     
    overflow: hidden;       
    text-overflow: ellipsis; 
    padding-top: 8px;
  }
  .form-template-body{
    flex: 1;
    max-height: 100px;
    padding-top: 8px;
    overflow: hidden;       
    text-overflow: ellipsis; 
    font-size:small;
    /* padding-top: 8px; */
  }

  .form-posted-title{
    height: fit-content;
    white-space: nowrap;     
    overflow: hidden;       
    text-overflow: ellipsis; 
    padding: 0px 16px;
    padding-top: 8px;
    font-size: larger;
  }
  .form-posted-body{
    flex: 1;
    max-height: 120px;
    padding: 0px 16px;
    padding-top: 8px;
    overflow: hidden;       
    text-overflow: ellipsis; 
    font-size:small;
    /* padding-top: 8px; */
  }

  .form-posted-author{
    flex: 0;
    height: fit-content;
    font-size: small;
    font-weight: 500;
    border-radius: 12px;
    width: fit-content;
    background-color: #00225c;
    color: white;
    padding: 2px 8px;
    margin-bottom: 4px;
    align-self: flex-end;
  }